/**
 * Tour step must sit above all other UI components.
 * The backdrop is the lowest point in the tour.
 * Everything else is in the container, and the target background should be at the same z-index.
 * ----- moodle
 *  ---- step backdrop
 *   --- step container
 *   --- step target background
 */
 // Tooltips and popovers
// -------------------------
@tooltipColor:            #fff;
@tooltipBackground:       #000;
@tooltipArrowWidth:       5px;
@tooltipArrowColor:       @tooltipBackground;

@popoverBackground:       #fff;
@popoverArrowWidth:       10px;
@popoverArrowColor:       #fff;
//@popoverTitleBackground:  darken(@popoverBackground, 3%);

// Special enhancement for popovers
@popoverArrowOuterWidth:  (@popoverArrowWidth + 1);
@popoverArrowOuterColor:  rgba(0,0,0,.25);

@flexitour-base-zindex: 1040 !important;

// The backdrop is the backdrop used in 'modal' step display.
div[data-flexitour="backdrop"] {
    background-color: #000;
    opacity: .5;

    // The backdrop needs to have a lower z-index than everything else in the tour, but higher than everything else in Moodle.
    z-index: @flexitour-base-zindex;
}

// The step-background is used to highlight the region targetted in the step.
div[data-flexitour="step-background-fader"],
div[data-flexitour="step-background"] {
    //.border-radius(6px);
   
      -webkit-border-radius: 6;
         -moz-border-radius: 6;
              border-radius: 6;

    // The step target background should be above the base.
    z-index: (@flexitour-base-zindex + 1);
}

span[data-flexitour="container"],
div[data-flexitour="step-background-fader"],
[data-flexitour="step-backdrop"] > td,
[data-flexitour="step-backdrop"] {
    // The step target background should be above the base.
    z-index: (@flexitour-base-zindex + 2);
}

span[data-flexitour="container"] {
 .modal-dialog {
        /**
         * Remove all margins to:
         * 1) ensure that the arrow touches the target; and
         * 2) ensure that the focus border touches the modal.
         */
         margin: 0;
    /*    .modal-content {
            position: relative;
            background-color: #fff;
            -webkit-background-clip: padding-box;
            background-clip: padding-box;
            border: 1px solid rgba(0,0,0,.2);
            border-radius: .3rem;
            outline: 0;
        }*/
    }
    div[data-role="arrow"] {
        border-width: @popover-arrow-outer-width;
    }

    div[data-role="arrow"],
    div[data-role="arrow"]:after {
        position: absolute;
        display: block;
        width: 0;
        height: 0;
        border-color: transparent;
        border-style: solid;
        border-width: @popover-arrow-width;
    }

    div[data-role="flexitour-step"] {
        background-color: #fff;
        border-radius: 6px;
        border: 1px solid rgba(0, 0, 0, .2);
        box-shadow: 0 5px 10px rgba(0, 0, 0, .2);

        > div {
            // When targetting some regions, the selectors override the modal ones.
            display: block;
            margin: 0;
        }
    }

/*    .modal {
        position: static;
        margin-left: 0;
    }
*/
    div[data-role="arrow"] {
        border-width: @popoverArrowOuterWidth;
    }

    div[data-role="arrow"]:after {
        content: " ";
    }

    div[data-role="arrow"],
    div[data-role="arrow"]:after {
        position: absolute;
        display: block;
        width: 0;
        height: 0;
        border-color: transparent;
        border-style: solid;
        border-width: @popoverArrowWidth;
    }

    &[x-placement="top"],
    &[x-placement="top-start"] {
        margin-bottom: @popoverArrowWidth;
        div[data-role="arrow"] {
            bottom: -@popoverArrowWidth;
            left: 50%;
            margin-left: -@popoverArrowOuterWidth;
            border-bottom-width: 0;
            border-top-color: @popoverArrowOuterColor;
        }
        div[data-role="arrow"]:after {
            bottom: 1px;
            margin-left: -@popoverArrowWidth;
            border-bottom-width: 0;
            border-top-color: @popoverArrowColor;
        }
    }

    &[x-placement="bottom"],
    &[x-placement="bottom-start"] {
        margin-top: @popoverArrowWidth;
        div[data-role="arrow"] {
            top: -@popoverArrowWidth;
            left: 50%;
            margin-left: -@popoverArrowOuterWidth;
            border-top-width: 0;
            border-bottom-color: @popoverArrowOuterColor;
        }
        div[data-role="arrow"]:after {
            top: 1px;
            margin-left: -@popoverArrowWidth;
            border-top-width: 0;
            border-bottom-color: @popoverArrowColor;
        }
    }

    &[x-placement="left"],
    &[x-placement="left-start"] {
        margin-right: @popoverArrowWidth;
        div[data-role="arrow"] {
            right: -@popoverArrowWidth;
            top: 50%;
            margin-top: -@popoverArrowOuterWidth;
            border-right-width: 0;
            border-left-color: @popoverArrowOuterColor;
        }
        div[data-role="arrow"]:after {
            right: 1px;
            margin-top: -@popoverArrowWidth;
            border-right-width: 0;
            border-left-color: @popoverArrowColor;
        }
    }

    &[x-placement="right"],
    &[x-placement="right-start"] {
        margin-left: @popoverArrowWidth;
        div[data-role="arrow"] {
            left: -@popoverArrowWidth;
            top: 50%;
            margin-top: -@popoverArrowOuterWidth;
            border-left-width: 0;
            border-right-color: @popoverArrowOuterColor;
        }
        div[data-role="arrow"]:after {
            left: 1px;
            margin-top: -@popoverArrowWidth;
            border-left-width: 0;
            border-right-color: @popoverArrowColor;
        }
    }
}
// Hack the bone! Hack the bone!
[data-region="drawer"] [data-flexitour="container"] {
    /*rtl:ignore*/
    margin-left: -15px;
    width: 285px - 10px;
}

span[data-flexitour="container"][x-placement="bottom"],
span[data-flexitour="container"][x-placement="bottom-start"] {
    margin-top: 10px;
}